
##
## requires sun make
## requires MATISSE_HOME to be set to install directory
##

MV=/bin/mv
RM=/bin/rm -f
CP=/bin/cp

# lib for matisse
MATISSE_LIBS=-lmatisse
# lib for Matisse Lite
#MATISSE_LIBS=-lmatisselite
CPPFLAGS=-I${MATISSE_HOME}/include 
LDFLAGS=-L${MATISSE_HOME}/lib
# with inline functions
#CPPFLAGS=-I${MATISSE_HOME}/include -DMT_USE_INLINE

# sun CC compiler

CCLIB_OPT=-library=Cstd,Crun -staticlib=Cstd,Crun
CXX=CC

# debug version
#CXXFLAGS = -g -mt  -instances=static ${CCLIB_OPT} -DDEBUG
CXXFLAGS = -xO2 -mt  -instances=static ${CCLIB_OPT}


LINK=$(CXX) -mt ${CCLIB_OPT}
AR=$(CXX)

# to find matisseCXX.cpp
VPATH=$(MATISSE_HOME)/include

ODL_SRCS = sql_eg.cpp
ODL_FILE = sql_eg.odl

## the SQLExample application
SQLEG_SRCS=\
	$(ODL_SRCS)\
	matisseCXX.cpp\
	SQLExample.cpp

SQLEG_OBJS=$(SQLEG_SRCS:.cpp=.o)
SQLEG_EXEC=SQLExample


ALL_OBJS = $(SQLEG_OBJS)
ALL_EXECS=$(SQLEG_EXEC)

default: $(ALL_EXECS)

# so the sources are always upto date..
$(ODL_SRCS): $(ODL_FILE)
	mt_sdl stubgen --lang cxx -f $(ODL_FILE)

$(SQLEG_EXEC) : $(SQLEG_OBJS)
	$(LINK) -o $@ $(SQLEG_OBJS) ${LDFLAGS} $(MATISSE_LIBS)

clean:
	$(RM) ${ALL_OBJS} $(ALL_EXECS)


%.o : %.cpp
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $< -o $@
